Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 824789 - mvn-rpmbuild should support versions
Summary: mvn-rpmbuild should support versions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven
Version: 17
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-24 09:29 UTC by Krzysztof Daniel
Modified: 2014-01-13 00:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-30 13:50:44 UTC


Attachments (Terms of Use)
Patch that enables version use if it is available. (deleted)
2012-05-24 13:00 UTC, Krzysztof Daniel
no flags Details | Diff
mylyn/context/zip (deleted)
2012-05-24 13:00 UTC, Krzysztof Daniel
no flags Details

Description Krzysztof Daniel 2012-05-24 09:29:01 UTC
I have just tried to build Eclipse with mvn-rpmbuild (the build was successful with pure mvn) and it fails with the duplication error:

eclipse.pde:org.eclipse.pde=[
/home/kdaniel/cbi/R4_platform-aggregator/eclipse.pde/org.eclipse.pde/pom.xml, 
/home/kdaniel/cbi/R4_platform-aggregator/eclipse.pde/org.eclipse.pde-feature/pom.xml], 
org.eclipse.platform.runtime:org.eclipse.core.tools=[
/home/kdaniel/cbi/R4_platform-aggregator/eclipse.platform.runtime/bundles/org.eclipse.core.tools/pom.xml, 
/home/kdaniel/cbi/R4_platform-aggregator/eclipse.platform.runtime/features/org.eclipse.core.tools-feature/pom.xml], 
org.eclipse.equinox.bundles:org.eclipse.equinox.http.jetty=[
/home/kdaniel/cbi/R4_platform-aggregator/rt.equinox.bundles/bundles/org.eclipse.equinox.http.jetty5/pom.xml, 
/home/kdaniel/cbi/R4_platform-aggregator/rt.equinox.bundles/bundles/org.eclipse.equinox.http.jetty6/pom.xml, 
/home/kdaniel/cbi/R4_platform-aggregator/rt.equinox.bundles/bundles/org.eclipse.equinox.http.jetty8/pom.xml]

For the historical reasons, and for the compatibility sake, it will be difficult to change names of affected bundles...

Comment 1 Krzysztof Daniel 2012-05-24 13:00:11 UTC
Created attachment 586625 [details]
Patch that enables version use if it is available.

Link to a scratch build with the patch included.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4098042

Comment 2 Krzysztof Daniel 2012-05-24 13:00:51 UTC
Created attachment 586626 [details]
mylyn/context/zip

Comment 3 Stanislav Ochotnicky 2012-05-28 08:58:14 UTC
For bookkeeping: I've applied the patch in rawhide. It really seems to be a bug in original patches. However this seems to have caused some compilation issues for JBoss updates. Will update when we have more information.

Comment 4 Krzysztof Daniel 2012-07-10 13:52:21 UTC
Stani, do you remember which package exactly failed to build? I'd like to resume my work on this issue - and get the patch into f17 (if possible).

Comment 5 Fedora Update System 2012-07-10 15:44:38 UTC
maven-3.0.4-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/maven-3.0.4-7.fc17

Comment 6 Stanislav Ochotnicky 2012-07-10 15:52:30 UTC
For the record the failing package was jboss-jts and it's been fixed already so no problems should appear. I can also add new maven to buildroot override if you want

Comment 7 Krzysztof Daniel 2012-07-11 05:56:03 UTC
Yes, please :-)

Comment 8 Fedora Update System 2012-07-23 20:26:52 UTC
maven-3.0.4-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.